View Issue Details

IDProjectCategoryView StatusLast Update
0000100Bacula-Webbug-pgsqlpublic2015-01-22 13:03
ReporterrogeriobastosAssigned Todavide 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status resolvedResolutionnot fixable 
Product Version5.2.13-1 
Target Version7.0.2Fixed in Version7.0.2 
Summary0000100: Wrong SQL to make 'Pools and volumes status' graph
DescriptionHi,

The 'Pools and volumes status' graph is showing wrong values in Postgres database. I active queries log and this is the SQL executed:

SELECT SUM(numvols) AS sum_vols FROM Pool GROUP BY name LIMIT 9OFFSET 18;

the result is:

 sum_vols
----------
        1
        0
        7
        2
        1
        2
        4
        4
        7

I think do you want something like this:

SELECT SUM(numvols) AS sum_vols FROM (SELECT numvols FROM Pool ORDER BY numvols DESC LIMIT 18 OFFSET 9) AS foo;

 sum_vols
----------
       52
TagsNo tags attached.

Activities

davide

2013-11-11 16:52

manager   ~0000290

Most of the SQL query will be modified as the graph will change.

davide

2014-11-24 13:30

manager   ~0000423

Hi Rogerio,

Sorry to answer that late about this.
But are you still experimenting this bug on postgres with version 7.0.1 ?

Thanks for your feedback.

Regards

davide

2015-01-22 05:07

manager   ~0000462

Last edited: 2015-01-22 05:09

View 4 revisions

Here's the query with pgsql 8.4 and more than 10 pools (with Bacula-Web 7.0.1)

SELECT poolid,name,numvols FROM pool ORDER BY numvols DESC LIMIT 9

The Pools and volumes looks pretty good.
Without feedback, I'm gonna close this bug without fix.

Cheers

davide

2015-01-22 10:24

manager   ~0000463

Nothing to do.
The problem have been fixed in a previous version.

Issue History

Date Modified Username Field Change
2013-05-04 04:23 rogeriobastos New Issue
2013-05-19 12:16 davide Product Version => 5.2.13-1
2013-05-19 12:16 davide Assigned To => davide
2013-05-19 12:16 davide Status new => assigned
2013-10-15 21:26 davide Target Version => 6.0.0
2013-11-11 16:51 davide Target Version 6.0.0 => 6.0.1
2013-11-11 16:52 davide Note Added: 0000290
2014-07-29 09:44 davide Target Version 6.0.1 =>
2014-11-21 17:30 davide Target Version => 7.1.0
2014-11-24 13:30 davide Note Added: 0000423
2014-11-24 13:30 davide Status assigned => feedback
2014-12-09 16:00 davide Target Version 7.1.0 => 7.0.2
2015-01-22 05:07 davide Note Added: 0000462
2015-01-22 05:08 davide Note Edited: 0000462 View Revisions
2015-01-22 05:08 davide Note Edited: 0000462 View Revisions
2015-01-22 05:09 davide Note Edited: 0000462 View Revisions
2015-01-22 10:24 davide Note Added: 0000463
2015-01-22 10:24 davide Status feedback => resolved
2015-01-22 10:24 davide Fixed in Version => 7.0.2
2015-01-22 10:24 davide Resolution open => no change required
2015-01-22 13:03 davide Resolution no change required => not fixable